#include <gui/cpw/colors_globals.hpp>

ColorProperties	g_tonalColors[]	=
{
	{ "Gray 0%", QColor(0, 0, 0) },
	{ "Gray 10%", QColor(25, 25, 25) },
	{ "Gray 20%", QColor(51, 51, 51) },
	{ "Gray 30%", QColor(76, 76, 76) },
	{ "Gray 40%", QColor(102, 102, 102) },
	{ "Gray 50%", QColor(127, 127, 127) },
	{ "Gray 58%", QColor(147, 147, 147) },
	{ "Gray 65%", QColor(165, 165, 165) },
	{ "Gray 73%", QColor(186, 186, 186) },
	{ "Gray 82%", QColor(208, 208, 208) },
	{ "Gray 91%", QColor(232, 232, 232) },
	{ "Gray 100%", QColor(255, 255, 255) },
	{ "Magenta 82%", QColor(255, 0, 254) },
	{ "Violet (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Blue (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Azure (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Cyan 82%", QColor(0, 255, 255) },
	{ "Spring Green (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Green (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Chartreuse Green (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Yellow 82%", QColor(255, 255, 0) },
	{ "Orange (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Red (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Rose (Out of Gamut) 82%", QColor(255, 255, 253) },
	{ "Magenta 73%", QColor(227, 0, 227) },
	{ "Violet (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Blue (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Azure (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Cyan 73%", QColor(0, 228, 225) },
	{ "Spring Green (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Green (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Chartreuse Green (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Yellow 73%", QColor(226, 227, 0) },
	{ "Orange (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Red (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Rose (Out of Gamut) 73%", QColor(255, 255, 253) },
	{ "Magenta 65%", QColor(202, 0, 202) },
	{ "Violet 65%", QColor(127, 0, 255) },
	{ "Blue (Out of Gamut) 65%", QColor(255, 255, 253) },
	{ "Azure 65%", QColor(0, 128, 255) },
	{ "Cyan 65%", QColor(0, 202, 202) },
	{ "Spring Green 65%", QColor(0, 255, 127) },
	{ "Green (Out of Gamut) 65%", QColor(255, 255, 253) },
	{ "Chartreuse Green 65%", QColor(127, 254, 0) },
	{ "Yellow 65%", QColor(201, 202, 0) },
	{ "Orange 65%", QColor(254, 126, 0) },
	{ "Red (Out of Gamut) 65%", QColor(255, 255, 253) },
	{ "Rose 65%", QColor(254, 0, 127) },
	{ "Magenta 58%", QColor(179, 0, 180) },
	{ "Violet 58%", QColor(112, 1, 228) },
	{ "Blue 58%", QColor(0, 1, 252) },
	{ "Azure 58%", QColor(0, 114, 228) },
	{ "Cyan 58%", QColor(0, 180, 179) },
	{ "Spring Green 58%", QColor(0, 229, 113) },
	{ "Green 58%", QColor(0, 255, 1) },
	{ "Chartreuse Green 58%", QColor(115, 228, 0) },
	{ "Yellow 58%", QColor(180, 179, 0) },
	{ "Orange 58%", QColor(228, 114, 0) },
	{ "Red 58%", QColor(253, 1, 0) },
	{ "Rose 58%", QColor(228, 0, 115) },
	{ "Magenta 50%", QColor(155, 0, 156) },
	{ "Violet 50%", QColor(98, 1, 196) },
	{ "Blue 50%", QColor(0, 0, 220) },
	{ "Azure 50%", QColor(0, 98, 197) },
	{ "Cyan 50%", QColor(0, 156, 155) },
	{ "Spring Green 50%", QColor(0, 196, 98) },
	{ "Green 50%", QColor(0, 220, 0) },
	{ "Chartreuse Green 50%", QColor(98, 195, 0) },
	{ "Yellow 50%", QColor(156, 156, 0) },
	{ "Orange 50%", QColor(196, 98, 0) },
	{ "Red 50%", QColor(220, 0, 0) },
	{ "Rose 50%", QColor(196, 0, 98) },
	{ "Magenta 40%", QColor(124, 0, 124) },
	{ "Violet 40%", QColor(80, 0, 159) },
	{ "Blue 40%", QColor(0, 0, 176) },
	{ "Azure 40%", QColor(0, 79, 158) },
	{ "Cyan 40%", QColor(0, 124, 124) },
	{ "Spring Green 40%", QColor(0, 159, 79) },
	{ "Green 40%", QColor(0, 177, 1) },
	{ "Chartreuse Green 40%", QColor(78, 158, 0) },
	{ "Yellow 40%", QColor(124, 124, 0) },
	{ "Orange 40%", QColor(158, 79, 0) },
	{ "Red 40%", QColor(176, 1, 0) },
	{ "Rose 40%", QColor(158, 0, 79) },
	{ "Magenta 30%", QColor(93, 0, 95) },
	{ "Violet 30%", QColor(59, 0, 118) },
	{ "Blue 30%", QColor(0, 0, 132) },
	{ "Azure 30%", QColor(0, 59, 117) },
	{ "Cyan 30%", QColor(0, 93, 93) },
	{ "Spring Green 30%", QColor(0, 118, 58) },
	{ "Green 30%", QColor(0, 131, 0) },
	{ "Chartreuse Green 30%", QColor(59, 118, 0) },
	{ "Yellow 30%", QColor(93, 92, 0) },
	{ "Orange 30%", QColor(118, 59, 1) },
	{ "Red 30%", QColor(132, 0, 0) },
	{ "Rose 30%", QColor(118, 0, 60) },
	{ "Magenta 20%", QColor(62, 0, 63) },
	{ "Violet 20%", QColor(39, 1, 78) },
	{ "Blue 20%", QColor(0, 0, 88) },
	{ "Azure 20%", QColor(1, 39, 78) },
	{ "Cyan 20%", QColor(0, 62, 61) },
	{ "Spring Green 20%", QColor(0, 78, 38) },
	{ "Green 20%", QColor(0, 88, 1) },
	{ "Chartreuse Green 20%", QColor(39, 78, 0) },
	{ "Yellow 20%", QColor(62, 62, 0) },
	{ "Orange 20%", QColor(77, 39, 0) },
	{ "Red 20%", QColor(88, 0, 0) },
	{ "Rose 20%", QColor(78, 0, 40) },
	{ "Magenta 10%", QColor(31, 0, 31) },
	{ "Violet 10%", QColor(20, 0, 38) },
	{ "Blue 10%", QColor(0, 0, 44) },
	{ "Azure 10%", QColor(0, 18, 38) },
	{ "Cyan 10%", QColor(0, 32, 31) },
	{ "Spring Green 10%", QColor(0, 37, 19) },
	{ "Green 10%", QColor(1, 44, 0) },
	{ "Chartreuse Green 10%", QColor(18, 39, 0) },
	{ "Yellow 10%", QColor(31, 30, 0) },
	{ "Orange 10%", QColor(38, 20, 0) },
	{ "Red 10%", QColor(44, 0, 1) },
	{ "Rose 10%", QColor(38, 1, 19) },
};

size_t	g_numTonalColors	= sizeof(g_tonalColors) / sizeof(ColorProperties);
